tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Smith <d...@cornell.edu>
Subject Re: org.apache.jasper.JasperException: the useBean class attribute List is invalid.
Date Thu, 16 Nov 2006 12:32:28 GMT
General diagnostics:

1. The bean class has to be in a package

2. The bean has to be declared public

3. The bean has to have a default, public, no-arguement constructor.

--David

Lijin wrote:

>Please help me in the following problem occuring in my project.
>One of our project is running currectly in the Tomcat 4 version with one old
>version of Jasper report. Now we our requirment is that, we have to trasfer
>it to new Tomcat 5 environment. But when we transfer this into the new
>Tomcat version, it pops up the following Jasper exception.
>
>type Exception report
>
>message
>
>description The server encountered an internal error () that prevented it
>from fulfilling this request.
>
>exception
>
>org.apache.jasper.JasperException: /pendingtranscriptions.jsp(6,0) The value
>for the useBean class attribute List is invalid.
>
>org.apache.jasper.compiler.DefaultErrorHandler.jspError(DefaultErrorHandler.java:39)
>
>org.apache.jasper.compiler.ErrorDispatcher.dispatch(ErrorDispatcher.java:405)
>
>org.apache.jasper.compiler.ErrorDispatcher.jspError(ErrorDispatcher.java:146)
>
>org.apache.jasper.compiler.Generator$GenerateVisitor.visit(Generator.java:1223)
>	org.apache.jasper.compiler.Node$UseBean.accept(Node.java:1116)
>	org.apache.jasper.compiler.Node$Nodes.visit(Node.java:2163)
>	org.apache.jasper.compiler.Node$Visitor.visitBody(Node.java:2213)
>	org.apache.jasper.compiler.Node$Visitor.visit(Node.java:2219)
>	org.apache.jasper.compiler.Node$Root.accept(Node.java:456)
>	org.apache.jasper.compiler.Node$Nodes.visit(Node.java:2163)
>	org.apache.jasper.compiler.Generator.generate(Generator.java:3268)
>	org.apache.jasper.compiler.Compiler.generateJava(Compiler.java:189)
>	org.apache.jasper.compiler.Compiler.compile(Compiler.java:286)
>	org.apache.jasper.compiler.Compiler.compile(Compiler.java:267)
>	org.apache.jasper.compiler.Compiler.compile(Compiler.java:255)
>
>org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:556)
>
>org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:296)
>	org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:295)
>	org.apache.jasper.servlet.JspServlet.service(JspServlet.java:245)
>	javax.servlet.http.HttpServlet.service(HttpServlet.java:802)
>	com.winiris.Page.forwardRequest(Page.java:17)
>
>com.winiris.page.PendingTranscriptionsPage.forward(PendingTranscriptionsPage.java:42)
>
>com.winiris.page.PendingTranscriptionsPage.forward(PendingTranscriptionsPage.java:24)
>
>com.winiris.command.PendingTranscriptionsPageCommand.execute(PendingTranscriptionsPageCommand.java:25)
>	com.winiris.Servlet.service(Servlet.java:114)
>	javax.servlet.http.HttpServlet.service(HttpServlet.java:802)
>
>We tried with the new Jasper versions in the new environment of Tomcat. But
>the same error occured. 
>Please help me in this matter
>
>Thanks in Advance...
>
>Lijin
>  
>


---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message